libepubgen::EPUBGenerator Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libepubgen::EPUBGenerator Class Referenceabstract

`#include <EPUBGenerator.h>`

Inheritance diagram for libepubgen::EPUBGenerator:

## Public Member Functions
| EPUBGenerator (EPUBPackage *package, int version)
virtual | ~EPUBGenerator ()
void | startDocument (const librevenge::RVNGPropertyList &props)
void | endDocument ()
void | setDocumentMetaData (const librevenge::RVNGPropertyList &props)
void | startNewHtmlFile ()
const std::shared_ptr< EPUBHTMLGenerator > & | getHtml () const
EPUBHTMLManager & | getHtmlManager ()
const EPUBSplitGuard & | getSplitGuard () const
EPUBSplitGuard & | getSplitGuard ()
int | getVersion () const
void | setSplitMethod (EPUBSplitMethod splitMethod)
void | setStylesMethod (EPUBStylesMethod stylesMethod)
void | setLayoutMethod (EPUBLayoutMethod layoutMethod)

## Private Member Functions
| EPUBGenerator (const EPUBGenerator &)
EPUBGenerator & | operator= (const EPUBGenerator &)
virtual void | startHtmlFile ()=0
virtual void | endHtmlFile ()=0
void | writeContainer ()
void | writeNavigation ()
void | writeStylesheet ()
void | writeRoot ()

## Private Attributes
EPUBPackage * | m_package
EPUBManifest | m_manifest
EPUBHTMLManager | m_htmlManager
EPUBImageManager | m_imageManager
EPUBFontManager | m_fontManager
EPUBListStyleManager | m_listStyleManager
EPUBParagraphStyleManager | m_paragraphStyleManager
EPUBSpanStyleManager | m_spanStyleManager
EPUBBodyStyleManager | m_bodyStyleManager
EPUBTableStyleManager | m_tableStyleManager
const EPUBPath | m_stylesheetPath
librevenge::RVNGPropertyList | m_documentProps
librevenge::RVNGPropertyList | m_metadata
std::shared_ptr< EPUBHTMLGenerator > | m_currentHtml
EPUBSplitGuard | m_splitGuard
int | m_version
EPUBStylesMethod | m_stylesMethod
EPUBLayoutMethod | m_layoutMethod

## Constructor & Destructor Documentation

## ◆ EPUBGenerator() [1/2]

libepubgen::EPUBGenerator::EPUBGenerator | ( | const EPUBGenerator & |  | ) |
| private

## ◆ EPUBGenerator() [2/2]

libepubgen::EPUBGenerator::EPUBGenerator | ( | EPUBPackage * | package,
|  | int | version )

## ◆ ~EPUBGenerator()

libepubgen::EPUBGenerator::~EPUBGenerator | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ endDocument()

void libepubgen::EPUBGenerator::endDocument | ( |  | ) |

## ◆ endHtmlFile()

virtual void libepubgen::EPUBGenerator::endHtmlFile | ( |  | ) |
| privatepure virtual

Implemented in libepubgen::EPUBPagedGenerator::Impl, and libepubgen::EPUBTextGenerator::Impl.

Referenced by endDocument(), and startNewHtmlFile().

## ◆ getHtml()

const std::shared_ptr< EPUBHTMLGenerator > & libepubgen::EPUBGenerator::getHtml | ( |  | ) | const

## ◆ getHtmlManager()

EPUBHTMLManager & libepubgen::EPUBGenerator::getHtmlManager | ( |  | ) |

## ◆ getSplitGuard() [1/2]

EPUBSplitGuard & libepubgen::EPUBGenerator::getSplitGuard | ( |  | ) |

## ◆ getSplitGuard() [2/2]

const EPUBSplitGuard & libepubgen::EPUBGenerator::getSplitGuard | ( |  | ) | const

## ◆ getVersion()

int libepubgen::EPUBGenerator::getVersion | ( |  | ) | const

## ◆ operator=()

EPUBGenerator & libepubgen::EPUBGenerator::operator= | ( | const EPUBGenerator & |  | ) |
| private

## ◆ setDocumentMetaData()

void libepubgen::EPUBGenerator::setDocumentMetaData | ( | const librevenge::RVNGPropertyList & | props | ) |

## ◆ setLayoutMethod()

void libepubgen::EPUBGenerator::setLayoutMethod | ( | EPUBLayoutMethod | layoutMethod | ) |

## ◆ setSplitMethod()

void libepubgen::EPUBGenerator::setSplitMethod | ( | EPUBSplitMethod | splitMethod | ) |

Referenced by libepubgen::EPUBPagedGenerator::setSplitMethod().

## ◆ setStylesMethod()

void libepubgen::EPUBGenerator::setStylesMethod | ( | EPUBStylesMethod | stylesMethod | ) |

## ◆ startDocument()

void libepubgen::EPUBGenerator::startDocument | ( | const librevenge::RVNGPropertyList & | props | ) |

## ◆ startHtmlFile()

virtual void libepubgen::EPUBGenerator::startHtmlFile | ( |  | ) |
| privatepure virtual

Implemented in libepubgen::EPUBPagedGenerator::Impl, and libepubgen::EPUBTextGenerator::Impl.

Referenced by startNewHtmlFile().

## ◆ startNewHtmlFile()

void libepubgen::EPUBGenerator::startNewHtmlFile | ( |  | ) |

Referenced by startDocument().

## ◆ writeContainer()

void libepubgen::EPUBGenerator::writeContainer | ( |  | ) |
| private

Referenced by endDocument().

## ◆ writeNavigation()

void libepubgen::EPUBGenerator::writeNavigation | ( |  | ) |
| private

Referenced by endDocument().

## ◆ writeRoot()

void libepubgen::EPUBGenerator::writeRoot | ( |  | ) |
| private

Referenced by endDocument().

## ◆ writeStylesheet()

void libepubgen::EPUBGenerator::writeStylesheet | ( |  | ) |
| private

Referenced by endDocument().

## Member Data Documentation

## ◆ m_bodyStyleManager

EPUBBodyStyleManager libepubgen::EPUBGenerator::m_bodyStyleManager
| private

Referenced by startNewHtmlFile(), and writeStylesheet().

## ◆ m_currentHtml

std::shared_ptr<EPUBHTMLGenerator> libepubgen::EPUBGenerator::m_currentHtml
| private

Referenced by endDocument(), getHtml(), and startNewHtmlFile().

## ◆ m_documentProps

librevenge::RVNGPropertyList libepubgen::EPUBGenerator::m_documentProps
| private

Referenced by startDocument(), and startNewHtmlFile().

## ◆ m_fontManager

EPUBFontManager libepubgen::EPUBGenerator::m_fontManager
| private

Referenced by endDocument(), startNewHtmlFile(), and writeStylesheet().

## ◆ m_htmlManager

EPUBHTMLManager libepubgen::EPUBGenerator::m_htmlManager
| private

Referenced by endDocument(), getHtmlManager(), startNewHtmlFile(), writeNavigation(), and writeRoot().

## ◆ m_imageManager

EPUBImageManager libepubgen::EPUBGenerator::m_imageManager
| private

Referenced by endDocument(), setDocumentMetaData(), startNewHtmlFile(), and writeStylesheet().

## ◆ m_layoutMethod

EPUBLayoutMethod libepubgen::EPUBGenerator::m_layoutMethod
| private

Referenced by setLayoutMethod(), startNewHtmlFile(), writeNavigation(), and writeRoot().

## ◆ m_listStyleManager

EPUBListStyleManager libepubgen::EPUBGenerator::m_listStyleManager
| private

Referenced by startNewHtmlFile(), and writeStylesheet().

## ◆ m_manifest

EPUBManifest libepubgen::EPUBGenerator::m_manifest
| private

Referenced by startDocument(), and writeRoot().

## ◆ m_metadata

librevenge::RVNGPropertyList libepubgen::EPUBGenerator::m_metadata
| private

Referenced by setDocumentMetaData(), startNewHtmlFile(), and writeRoot().

## ◆ m_package

EPUBPackage* libepubgen::EPUBGenerator::m_package
| private

Referenced by endDocument(), writeContainer(), writeNavigation(), writeRoot(), and writeStylesheet().

## ◆ m_paragraphStyleManager

EPUBParagraphStyleManager libepubgen::EPUBGenerator::m_paragraphStyleManager
| private

Referenced by startNewHtmlFile(), and writeStylesheet().

## ◆ m_spanStyleManager

EPUBSpanStyleManager libepubgen::EPUBGenerator::m_spanStyleManager
| private

Referenced by startNewHtmlFile(), and writeStylesheet().

## ◆ m_splitGuard

EPUBSplitGuard libepubgen::EPUBGenerator::m_splitGuard
| private

Referenced by getSplitGuard(), getSplitGuard(), setLayoutMethod(), setSplitMethod(), and startNewHtmlFile().

## ◆ m_stylesheetPath

const EPUBPath libepubgen::EPUBGenerator::m_stylesheetPath
| private

Referenced by startDocument(), startNewHtmlFile(), and writeStylesheet().

## ◆ m_stylesMethod

EPUBStylesMethod libepubgen::EPUBGenerator::m_stylesMethod
| private

Referenced by setStylesMethod(), and startNewHtmlFile().

## ◆ m_tableStyleManager

EPUBTableStyleManager libepubgen::EPUBGenerator::m_tableStyleManager
| private

Referenced by startNewHtmlFile(), and writeStylesheet().

## ◆ m_version

int libepubgen::EPUBGenerator::m_version
| private

Referenced by getVersion(), setDocumentMetaData(), startDocument(), startNewHtmlFile(), writeNavigation(), and writeRoot().

The documentation for this class was generated from the following files:

- EPUBGenerator.h
- EPUBGenerator.cpp